Bug 1189934 - Updating GeoIP-1.5.1-6.fc21.x86_64 tries to install the i686 version
Summary: Updating GeoIP-1.5.1-6.fc21.x86_64 tries to install the i686 version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: GeoIP
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-05 21:24 UTC by Arnaud
Modified: 2015-05-14 06:28 UTC (History)
2 users (show)

Fixed In Version: GeoIP-1.6.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 15:41:58 UTC


Attachments (Terms of Use)

Description Arnaud 2015-02-05 21:24:28 UTC
Description of problem:
When trying to update GeoIP, I get a dependency problem as it tries to install an old i686 version too

Version-Release number of selected component (if applicable):
GeoIP-1.5.1-6.fc21.x86_64
GeoIP-1.6.4-0.fc21.x86_64

How reproducible:
always

Steps to Reproduce:
1. yum update (with updates-testing activated)


Actual results:

--> Running transaction check
---> Package GeoIP.x86_64 0:1.5.1-6.fc21 will be updated
--> Processing Dependency: GeoIP = 1.5.1-6.fc21 for package: GeoIP-update-1.5.1-6.fc21.noarch
---> Package GeoIP.x86_64 0:1.6.4-0.fc21 will be an update
--> Running transaction check
---> Package GeoIP.i686 0:1.5.1-6.fc21 will be installed
--> Processing Dependency: libz.so.1 for package: GeoIP-1.5.1-6.fc21.i686
--> Processing Dependency: libc.so.6(GLIBC_2.8) for package: GeoIP-1.5.1-6.fc21.i686
---> Package GeoIP.x86_64 0:1.5.1-6.fc21 will be updated
--> Running transaction check
---> Package glibc.i686 0:2.20-7.fc21 will be installed
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.20-7.fc21.i686
--> Processing Dependency: libfreebl3.so for package: glibc-2.20-7.fc21.i686
---> Package zlib.i686 0:1.2.8-7.fc21 will be installed
--> Running transaction check
---> Package nss-softokn-freebl.i686 0:3.17.4-1.fc21 will be installed
--> Finished Dependency Resolution
Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing out that there is a problem. Eg.:
       
         [...]
       
       Protected multilib versions: GeoIP-1.6.4-0.fc21.x86_64 != GeoIP-1.5.1-6.fc21.i686

Comment 1 Paul Howarth 2015-02-05 21:58:25 UTC
The -update functionality has been moved into a separate package, geoipupdate, and that needs to be pushed as a combined update with the GeoIP 1.6 one. I've unpushed the current update and will look at getting a better one together, hopefully tomorrow.

Comment 2 Fedora Update System 2015-04-14 07:57:54 UTC
GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5

Comment 3 Fedora Update System 2015-04-14 07:59:15 UTC
GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6

Comment 4 Fedora Update System 2015-04-14 08:00:34 UTC
GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21

Comment 5 Fedora Update System 2015-04-14 08:00:51 UTC
GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22

Comment 6 Fedora Update System 2015-04-14 08:03:14 UTC
GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20

Comment 7 Paul Howarth 2015-04-14 14:42:43 UTC
Better late than never!

Comment 8 Fedora Update System 2015-04-21 19:15:06 UTC
GeoIP-GeoLite-data-2015.04-1.fc22, geoipupdate-2.2.1-2.fc22, GeoIP-1.6.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-26 12:48:36 UTC
GeoIP-GeoLite-data-2015.04-1.fc20, geoipupdate-2.2.1-2.fc20, GeoIP-1.6.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-26 12:58:43 UTC
GeoIP-GeoLite-data-2015.04-1.fc21, geoipupdate-2.2.1-2.fc21, GeoIP-1.6.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-14 06:27:59 UTC
geoipupdate-2.2.1-2.el6, GeoIP-1.6.5-1.el6, GeoIP-GeoLite-data-2015.04-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-14 06:28:42 UTC
geoipupdate-2.2.1-2.el5, GeoIP-GeoLite-data-2015.04-2.el5, GeoIP-1.6.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.